package subject

import "fmt"

func getBankValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.Bank, val)
}

var Bank = struct {
	GetBankAndBranchesByBankIDs string
	CheckBankAndBranchByID      string
}{
	GetBankAndBranchesByBankIDs: getBankValue("get_bank_and_branches_by_bank_ids"),
	CheckBankAndBranchByID:      getBankValue("check_bank_and_branch_by_id"),
}
